Subject: Re: bug#40904: listing multiple subdirectories places filenames in different columns between each subdirectory

From: Paul Eggert <[email-masked]>
Date: Mon, 27 Apr 2020 09:53:05 -0700

On 4/27/20 7:36 AM, Jim Clark wrote:
> When I list a hard drive "ls -AR > list.txt" and import it into Libreoffice
> Calc, then break the lines using "text-to-columns", I am not able to
> perform a fixed format break so that the filenames are placed in their own
> column.

I can't reproduce the problem. All the file names start at the beginning of the
line. Quite possibly you're using an alias, so that your 'ls' is not the plain
vanilla 'ls'. At any rate, 'find' is probably a better tool for what you want to d.